Bug 111012 - [CI][SHARDS] igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup
Summary: [CI][SHARDS] igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 110900 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-06-27 08:34 UTC by Martin Peres
Modified: 2019-07-31 05:55 UTC (History)
1 user (show)

See Also:
i915 platform: HSW, KBL, SKL
i915 features: power/runtime PM


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-06-27 08:34:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6363/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html

<4> [306.416616] ------------[ cut here ]------------
<4> [306.416634] i915 raw-wakerefs=1 wakelocks=1 on cleanup
<7> [306.416812] [drm:intel_dp_hpd_pulse [i915]] ignoring long hpd on eDP port A
<4> [306.417110] WARNING: CPU: 7 PID: 206 at drivers/gpu/drm/i915/intel_runtime_pm.c:604 intel_runtime_pm_cleanup+0x27/0x40 [i915]
<4> [306.417118] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 mei_hdcp x86_pkg_temp_thermal coretemp crct10dif_pclmul btusb snd_hda_intel btrtl crc32_pclmul btbcm snd_hda_codec btintel snd_hwdep snd_hda_core asix bluetooth ghash_clmulni_intel usbnet mii e1000e snd_pcm ptp pps_core ecdh_generic ecc mei_me mei prime_numbers pinctrl_sunrisepoint pinctrl_intel
<4> [306.417174] CPU: 7 PID: 206 Comm: kworker/7:2 Tainted: G     U            5.2.0-rc6-CI-CI_DRM_6363+ #1
<4> [306.417180] Hardware name: Intel Corporation Kabylake Client platform/Kabylake R DDR4 RVP, BIOS KBLSE2R1.R00.X078.P02.1703030515 03/03/2017
<4> [306.417188] Workqueue: pm pm_runtime_work
<4> [306.417275] RIP: 0010:intel_runtime_pm_cleanup+0x27/0x40 [i915]
<4> [306.417282] Code: 1f 40 00 53 8b 37 48 89 fb 85 f6 75 09 48 89 df 5b e9 9d f9 ff ff 89 f2 48 c7 c7 88 1f 4e a0 0f b7 f6 c1 fa 10 e8 f9 4d d5 e0 <0f> 0b 48 89 df 5b e9 7e f9 ff ff 0f 1f 40 00 66 2e 0f 1f 84 00 00
<4> [306.417288] RSP: 0018:ffffc90001543d28 EFLAGS: 00010286
<4> [306.417296] RAX: 0000000000000000 RBX: ffff88829739af70 RCX: 0000000000000000
<4> [306.417301] RDX: 0000000000000007 RSI: ffff8882b1edb0e0 RDI: 00000000ffffffff
<4> [306.417306] RBP: ffff888297390d38 R08: 000000003af78c61 R09: 0000000000000000
<4> [306.417310] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8882b3898008
<4> [306.417316] R13: ffff88829739af70 R14: 0000000000000000 R15: ffff8882b38980b8
<4> [306.417322] FS:  0000000000000000(0000) GS:ffff8882b6b80000(0000) knlGS:0000000000000000
<4> [306.417328] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [306.417333] CR2: 000055f7f7811df0 CR3: 0000000005210001 CR4: 00000000003606e0
<4> [306.417339] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [306.417344] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [306.417348] Call Trace:
<4> [306.417431]  intel_runtime_suspend+0xd3/0x260 [i915]
<4> [306.417447]  pci_pm_runtime_suspend+0x57/0x190
<4> [306.417456]  ? lockdep_hardirqs_on+0xe3/0x1b0
<4> [306.417466]  ? pci_pm_runtime_resume+0xc0/0xc0
<4> [306.417474]  ? pci_pm_runtime_resume+0xc0/0xc0
<4> [306.417480]  __rpm_callback+0xb1/0x110
<4> [306.417490]  ? pci_pm_runtime_resume+0xc0/0xc0
<4> [306.417497]  rpm_callback+0x1a/0x70
<4> [306.417506]  ? pci_pm_runtime_resume+0xc0/0xc0
<4> [306.417512]  rpm_suspend+0xfc/0x630
<4> [306.417532]  pm_runtime_work+0x6e/0xb0
<4> [306.417542]  process_one_work+0x245/0x610
<4> [306.417562]  worker_thread+0x37/0x380
<4> [306.417570]  ? process_one_work+0x610/0x610
<4> [306.417576]  kthread+0x119/0x130
<4> [306.417582]  ? kthread_park+0x80/0x80
<4> [306.417591]  ret_from_fork+0x3a/0x50
<4> [306.417608] irq event stamp: 433428
<4> [306.417615] hardirqs last  enabled at (433427): [<ffffffff81126ca7>] console_unlock+0x3f7/0x5a0
<4> [306.417623] hardirqs last disabled at (433428): [<ffffffff810019e0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [306.417631] softirqs last  enabled at (433406): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4> [306.417638] softirqs last disabled at (433397): [<ffffffff810b63a9>] irq_exit+0xa9/0xc0
<4> [306.417697] WARNING: CPU: 7 PID: 206 at drivers/gpu/drm/i915/intel_runtime_pm.c:604 intel_runtime_pm_cleanup+0x27/0x40 [i915]
<4> [306.417702] ---[ end trace 205b08ef407790e7 ]---
Comment 1 CI Bug Log 2019-06-27 08:35:57 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* HSW KBL: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6363/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13444/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4513/fi-kbl-r/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6366/fi-kbl-r/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4516/fi-kbl-r/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6367/fi-hsw-4200u/igt@i915_pm_rpm@basic-pci-d3-state.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6369/fi-hsw-4200u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6369/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6370/fi-hsw-4200u/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13448/fi-kbl-r/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6364/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5069/fi-kbl-r/igt@i915_pm_rpm@module-reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13364/fi-kbl-r/igt@i915_pm_rpm@basic-pci-d3-state.html
Comment 2 CI Bug Log 2019-06-28 12:50:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW KBL: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ HSW KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6376/fi-cml-u2/igt@i915_pm_rpm@module-reload.html
Comment 3 CI Bug Log 2019-07-01 06:23:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ HSW KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u/igt@i915_pm_rpm@cursor-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u/igt@i915_pm_rpm@legacy-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u/igt@i915_pm_rpm@system-suspend-execbuf.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u/igt@i915_pm_rpm@debugfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u2/igt@i915_pm_rpm@system-suspend-execbuf.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u2/igt@i915_pm_rpm@pm-caching.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u2/igt@i915_pm_rpm@debugfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u2/igt@i915_pm_rpm@dpms-mode-unset-non-lpsp.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-hsw-peppy/igt@i915_pm_rpm@pm-caching.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-kbl-r/igt@i915_pm_rpm@gem-execbuf-stress.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-kbl-r/igt@i915_pm_rpm@pm-tiling.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-kbl-r/igt@i915_pm_rpm@universal-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-kbl-r/igt@i915_pm_rpm@debugfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-cml-u/igt@i915_pm_rpm@universal-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-cml-u2/igt@i915_pm_rpm@universal-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-cml-u2/igt@i915_pm_rpm@universal-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-cml-u2/igt@i915_pm_rpm@legacy-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@universal-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@universal-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@cursor-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@system-suspend-modeset.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@debugfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@fences.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@legacy-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@gem-execbuf-stress.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-kbl-r/igt@i915_pm_rpm@gem-execbuf.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u/igt@i915_pm_rpm@reg-read-ioctl.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u/igt@i915_pm_rpm@cursor.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u/igt@i915_pm_rpm@legacy-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u2/igt@i915_pm_rpm@cursor.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u2/igt@i915_pm_rpm@debugfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u2/igt@i915_pm_rpm@modeset-stress-extra-wait.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-cml-u2/igt@i915_pm_rpm@gem-mmap-gtt.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@universal-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@universal-planes-dpms.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@legacy-planes.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@reg-read-ioctl.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@fences.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@gem-execbuf-stress.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-kbl-r/igt@i915_pm_rpm@gem-mmap-gtt.html
Comment 4 CI Bug Log 2019-07-01 06:57:04 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ HSW SKL KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-skl-6600u/igt@i915_pm_rpm@sysfs-read.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-skl-6600u/igt@i915_pm_rpm@universal-planes.html
Comment 5 CI Bug Log 2019-07-01 07:21:17 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW SKL KBL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ HSW SKL KBL WHL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-whl-u/igt@i915_pm_rpm@cursor.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_319/fi-whl-u/igt@i915_pm_rpm@legacy-planes-dpms.html
Comment 6 CI Bug Log 2019-07-01 07:34:27 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@runner@aborted - fail - Previous test: i915_pm_rpm (cursor-dpms)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_317/fi-cml-u/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_318/fi-cml-u2/igt@runner@aborted.html
Comment 7 Chris Wilson 2019-07-03 19:50:21 UTC
commit 315ca4c408ed3bcfe3a204fec9f5c397a98e97a0
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Jul 2 18:17:23 2019 +0300

    drm/i915: synchronize_irq() against the actual irq
    
    When eliminating our use of drm_irq_install() I failed to convert
    all our synchronize_irq() calls to consult pdev->irq instead of
    dev_priv->drm.irq. As we no longer populate dev_priv->drm.irq
    we're no longer synchronizing against anything.
    
    v2: Add intel_syncrhonize_irq() (Chris)
    
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Reported-by: Imre Deak <imre.deak@intel.com>
    Fixes: b318b82455bd ("drm/i915: Nuke drm_driver irq vfuncs")
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111012
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190702151723.29739-1-ville.syrjala@linux.intel.com
Comment 8 CI Bug Log 2019-07-04 13:28:26 UTC
A CI Bug Log filter associated to this bug has been updated:

{- CML: igt@runner@aborted - fail - Previous test: i915_pm_rpm (cursor-dpms) -}
{+ CML: igt@runner@aborted - fail - Previous test: i915_pm_rpm (cursor-dpms) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u2/igt@runner@aborted.html
Comment 9 Chris Wilson 2019-07-12 14:35:07 UTC
*** Bug 110900 has been marked as a duplicate of this bug. ***
Comment 10 CI Bug Log 2019-07-24 15:30:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW SKL KBL WHL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ HSW SKL KBL WHL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_333/fi-kbl-7567u/igt@gem_softpin@noreloc-s3.html
Comment 11 CI Bug Log 2019-07-31 05:55:45 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW SKL KBL WHL CML: igt@i915_pm_rpm@* - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup -}
{+ ILK HSW SKL KBL WHL CML: igt@i915_pm_rpm@*|igt@kms_pipe_crc_basic@suspend-read-crc-pipe-a - dmesg-warn - i915 raw-wakerefs=1 wakelocks=1 on cleanup +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6579/fi-ilk-m540/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-a.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.